using Hotline.Exams.Base;
using SqlSugar;
using System.ComponentModel;

namespace Hotline.Exams.Practices
{
    [Description("练习习题选项")]
    public class ExamPracticeQuestionOptions:ExamBusinessEntity
    {
        /// <summary>
        /// 练习试题Id
        /// </summary>
        [SugarColumn(ColumnDescription = "练习试题Id")]
        [Description("练习试题Id")]
        public string PracticeQuestionId { get; set; }

        /// <summary>
        /// 题库试题Id
        /// </summary>
        [SugarColumn(ColumnDescription = "题库试题Id")]
        [Description("题库试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 题库试题选项Id
        /// </summary>
        [SugarColumn(ColumnDescription = "题库试题选项Id")]
        [Description("题库试题选项Id")]
        public string QuestionOptionId { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [SugarColumn(ColumnDescription = "选项")]
        [Description("选项")]
        public string Content { get; set; }

        /// <summary>
        /// 是否答案
        /// </summary>
        [SugarColumn(ColumnDescription = "是否答案")]
        [Description("是否答案")]
        public bool IsAnswer { get; set; }

        /// <summary>
        /// 选项题标
        /// </summary>
        [SugarColumn(ColumnDescription = "选项题标")]
        [Description("选项题标")]
        public string Label { get; set; }
    }
}
